Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.NEP.Refine

class slepc4py.SLEPc.NEP.Refine

  Bases: `object`

  NEP refinement strategy.

  - `NONE`: No refinement.

  - `SIMPLE`: Refine eigenpairs one by one.

  - `MULTIPLE`: Refine all eigenpairs simultaneously (invariant pair).

  Attributes Summary

  `MULTIPLE` | Constant `MULTIPLE` of type `int`
  `NONE` | Constant `NONE` of type `int`
  `SIMPLE` | Constant `SIMPLE` of type `int`

  Attributes Documentation

  MULTIPLE: int = MULTIPLE

    Constant `MULTIPLE` of type `int`

  NONE: int = NONE

    Constant `NONE` of type `int`

  SIMPLE: int = SIMPLE

    Constant `SIMPLE` of type `int`